Package org.drinkless.tdlib

# Class TdApi.SetUsername

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.SetUsername

Enclosing class:
  `TdApi`

public static class TdApi.SetUsername extends TdApi.Function<TdApi.Ok>
Changes the editable username of the current user.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `username`
  The new value of the username.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetUsername()`
  Default constructor for a function, which changes the editable username of the current user.
  `SetUsername(String username)`
  Creates a function, which changes the editable username of the current user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### username

    public String username
    The new value of the username. Use an empty string to remove the username. The username can't be completely removed if there is another active or disabled username.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SetUsername

    public SetUsername()
    Default constructor for a function, which changes the editable username of the current user.

    Returns `Ok`

  - ### SetUsername

    public SetUsername(String username)
    Creates a function, which changes the editable username of the current user.

    Returns `Ok`

    Parameters:
      `username` - The new value of the username. Use an empty string to remove the username. The username can't be completely removed if there is another active or disabled username.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR